Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMegaFamily.Timer3

    java.lang.Object
      avrora.sim.mcu.AtmelInternalDevice
          avrora.sim.mcu.Timer16Bit
              avrora.sim.mcu.ATMegaFamily.Timer3

Enclosing class:
  ATMegaFamily

protected class ATMegaFamily.Timer3
extends Timer16Bit

`Timer3` is an additional 16-bit timer available on the ATMega128, but not in ATMega103 compatability mode.

Nested Class Summary

Nested classes inherited from class avrora.sim.mcu.Timer16Bit
`Timer16Bit.BufferedRegister, Timer16Bit.OCRnxPairedRegister, Timer16Bit.OCRnxTempHighRegister, Timer16Bit.PairedRegister, Timer16Bit.TCNTnRegister, Timer16Bit.Ticker`

Field Summary

Fields inherited from class avrora.sim.mcu.Timer16Bit
`BOTTOM, externalClock, MAX, MODE_CTC_ICRn, MODE_CTC_OCRnA, MODE_FASTPWM_10_BIT, MODE_FASTPWM_8_BIT, MODE_FASTPWM_9_BIT, MODE_FASTPWM_ICRn, MODE_FASTPWM_OCRnA, MODE_NORMAL, MODE_PWM_PHASE_CORRECT_10_BIT, MODE_PWM_PHASE_CORRECT_8_BIT, MODE_PWM_PHASE_CORRECT_9_BIT, MODE_PWM_PNF_ICRn, MODE_PWM_PNF_OCRnA, MODE_PWN_PHASE_CORRECT_ICRn, MODE_PWN_PHASE_CORRECT_OCRnA, periods, xTIFR_reg, xTIMSK_reg`

Fields inherited from class avrora.sim.mcu.AtmelInternalDevice
`devicePrinter, interpreter, mainClock, microcontroller, name, simulator`

Constructor Summary
`protected` | `ATMegaFamily.Timer3(int compareUnits)`

Method Summary
`protected void` | `initValues()`

Methods inherited from class avrora.sim.mcu.Timer16Bit
`overflow`

Methods inherited from class avrora.sim.mcu.AtmelInternalDevice
`getClock, getIORegs, installIOReg, read16, write16`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATMegaFamily.Timer3

    protected ATMegaFamily.Timer3(int compareUnits)

Method Detail

### initValues

    protected void initValues()

  Specified by:
    `initValues` in class `Timer16Bit`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD